---
title: HTMLFontElement.size
slug: Web/API/HTMLFontElement/size
tags:
  - API
  - HTML DOM
  - HTMLFontElement
  - Property
  - Reference
---
<div>{{obsolete_header}}</div>


<div>{{ APIRef("HTML DOM") }}</div>

<p><span class="seoSummary">The obsolete <code><strong>HTMLFontElement.size</strong></code> property is a {{domxref("DOMString")}} that reflects the {{ htmlattrxref("size", "font") }} HTML attribute. It contains either an integer number in the range of 1-7 or a relative value to increase/decrease the value of the {{htmlattrxref("size", "basefont")}} attribute of the {{HTMLElement("basefont")}} element.</span></p>

<p>The format of the string must follow one of the following HTML microsyntaxes:</p>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Microsyntax</th>
   <th scope="col">Description</th>
   <th scope="col">Examples</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>Valid size number string</td>
   <td><em>integer number in the range of 1-7</em></td>
   <td><code>6</code></td>
  </tr>
  <tr>
   <td>Relative size string</td>
   <td><em>+x or -x, where  x is the number relative to the value of the {{htmlattrxref("size", "basefont")}} attribute of the {{HTMLElement("basefont")}} element</em><br>
    <em>(the result should be in the same range of 1-7)</em></td>
   <td><code>+2<br>
    -1</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>sizeString</em> = <em>fontObj</em>.size;
<em><code>fontObj.size = sizeString;</code></em>
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Assumes there is &lt;font id="f"&gt; element in the HTML

var f = document.getElementById("f");
f.size = "6";
</pre>

<h2 id="Specifications">Specifications</h2>

<dl>
 <dd>The &lt;font&gt; tag is not supported in HTML5 and as a result neither is <code>&lt;font&gt;.size </code>.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLFontElement.size")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLFontElement")}} interface it belongs to.</li>
</ul>
